Pluginy nie chcą działaś na dedyku

Dyskusja w 'Archiwum' rozpoczęta przez użytkownika mato_21, Maj 18, 2012.

Status tematu:
Brak możliwości dodawania odpowiedzi.
  1. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Witam, mam problem z wgraniem pluginów na serwer. Gdy pluginy wgrywałem na swoim kompie (przez hamachi) wszystko pięknie śmigało. Jednak gdy wgram te same pluginy na serwer dedykowany to wyskakują mi błedy, pokaże log konsoli z pluginem MobDisguise:

    [CSRV] Changing working dir...
    [CSRV] Scanning for network conflicts... 98]
    [CSRV] Fixing filesystem permissions...
    [CSRV] Setting kernel resource limits
    [CSRV] Switching to unprivileged server user
    [CSRV] Executing Java...
    ineshafter Squared] Current proxy version: 3.5
    ineshafter Squared] Gotten proxy version: 3.5
    Trying to proxy on port 9000
    Trying to proxy on port 9001
    Trying to proxy on port 9002
    Trying to proxy on port 9003

    Proxying successful
    182 recipes
    27 achievements
    23:01:43 [INFO] Starting minecraft server version 1.2.5
    23:01:43 [WARNING] **** NOT ENOUGH RAM!
    23:01:43 [WARNING] To start the server with more ram, launch it as "java -Xmx1024M -Xms1024M -jar minecraft_server.jar"
    23:01:43 [INFO] Loading properties
    23:01:43 [INFO] Starting Minecraft server on *:23198
    23:01:43 [WARNING] **** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!
    23:01:43 [WARNING] The server will make no attempt to authenticate usernames. Beware.
    23:01:43 [WARNING] While this makes the game possible to play without internet access, it also opens up the ability for hackers to connect with any username they choose.
    23:01:43 [WARNING] To change this, set "online-mode" to "true" in the server.properties file.
    23:01:43 [INFO] This server is running CraftBukkit version git-Bukkit-1.2.5-R1.0-b2149jnks (MC: 1.2.5) (Implementing API version 1.2.5-R1.0)
    23:01:43 [INFO] Request: GET http://dl.bukkit.org/api/1.0/downloads/projects/craftbukkit/view/git-Bukkit-1.2.5-R1.0-b2149jnks
    23:01:43 [INFO] Bukkit Fix
    23:01:43 [SEVERE] Could not load 'plugins/MobDisguise.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:201)
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:132)
    at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:207)
    at org.bukkit.craftbukkit.CraftServer.(CraftServer.java:183)
    at net.minecraft.server.ServerConfigurationManager.(ServerConfigurationManager.java:53)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:156)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:422)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:492)
    Caused by: java.util.zip.ZipException: zip file is empty
    at java.util.zip.ZipFile.open(Native Method)
    at java.util.zip.ZipFile.(ZipFile.java:214)
    at java.util.zip.ZipFile.(ZipFile.java:144)
    at java.util.jar.JarFile.(JarFile.java:152)
    at java.util.jar.JarFile.(JarFile.java:116)
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:189)
    ... 7 more
    23:01:43 [INFO] Response: 200
    23:01:43 [INFO] Preparing level "world"
    23:01:43 [INFO] Default game type: 0
    23:01:43 [INFO] Request: GET http://dl.bukkit.org/api/1.0/downloads/projects/craftbukkit/view/latest-rb
    23:01:43 [INFO] Bukkit Fix
    23:01:43 [INFO] Response: 200
    23:01:43 [WARNING] ----- Bukkit Auto Updater -----
    23:01:43 [WARNING] Your version of CraftBukkit is out of date. Version 1.2.5-R2.0 (build #2190) was released on Fri May 18 03:21:10 CEST 2012.
    23:01:43 [WARNING] Details: http://dl.bukkit.org/downloads/craftbukkit/view/01097_1.2.5-R2.0/
    23:01:43 [WARNING] Download: http://dl.bukkit.org/downloads/craftbukkit/get/01097_1.2.5-R2.0/craftbukkit.jar
    23:01:43 [WARNING] ----- ------------------- -----
    23:01:43 [INFO] Preparing start region for level 0 (Seed: -8080914777587593216)
    23:01:44 [INFO] Preparing start region for level 1 (Seed: -8080914777587593216)
    23:01:44 [INFO] Preparing spawn area: 56%
    23:01:45 [INFO] Preparing start region for level 2 (Seed: -8080914777587593216)
    23:01:45 [INFO] Server permissions file permissions.yml is empty, ignoring it
    23:01:45 [INFO] Done (1.642s)! For help, type "help" or "?"
     
  2. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
  3. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Serwer ma 512 ramu, host to craftserve, pakiet drewniany
     
  4. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
  5. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Jest w ogóle możliwa zmiana silnika na craftserve? Próbowałem, ale mi się to nie udawało.
     
  6. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
    Niet na drewniaku. Ale w panelu możesz chyba wybrać wersję CB
     
  7. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Mam do wyboru 3 silniki:
    craftbukkit-1.2.5-R1
    craftbukkit-1.2-R1
    minecraft_server

    Czyli innymi słowy na daną chwilę nie dam rady wgrać żadnych modów?
     
  8. MMySlime
    Offline

    MMySlime Nowicjusz

    Wiadomości:
    6
    Polubienia:
    2
    Punkty:
    3
    Wybierz pierwsze :p
     
  9. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Mam wybrane pierwsze, jednak pluginy nie chcą działać :(
     
  10. MMySlime
    Offline

    MMySlime Nowicjusz

    Wiadomości:
    6
    Polubienia:
    2
    Punkty:
    3
    Może CraftServe ci blokuje jakieś funkcje, jeszcze bym spojrzał na to:
    To świadczy o tym że chyba twoja maszyna ma za mało ramu aby udźwignąć craftbukkita. (Oczywiście to jest tylko moja opinia)
     
  11. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    jak wspominałem wcześniej, jest to pakiet drewniany i ma on 512 ramu, ale sądze że tyle powinno wystarczyć aby udźwignąć craftbukkita i chociaż jeden plugin
     
  12. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    pomoże ktoś?
     
  13. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    rozwiązałem problem, temat do zamknięcia
     
  14. MMySlime
    Offline

    MMySlime Nowicjusz

    Wiadomości:
    6
    Polubienia:
    2
    Punkty:
    3
    Ale może odpowiesz jak to naprawiłeś? Może się komuś przydać w przyszłości.
     
  15. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    Po prostu wgrałem pluginy za pomocą FTP :D
     
  16. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
    LOL!!! Tego nikt nie przewidział bo skoro już się bawisz w dedyki to powinieneś coś mieć w głowie...
     
  17. mato_21
    Offline

    mato_21 Nowicjusz

    Wiadomości:
    0
    Polubienia:
    0
    Punkty:
    1
    W ogóle o tym zapomniałem :D
     
Status tematu:
Brak możliwości dodawania odpowiedzi.